var clickEventType = ((document.ontouchstart !== null) ? 'click' : 'touchstart');

jQuery(document).ready(function() {
	load();
});

function load() {
	document.addEventListener("deviceready", onDeviceReady, false);
}

function onDeviceReady() {
	document.addEventListener("backbutton", bakcbotaoIndex, false);
	console.log(get_browser());
	console.log(get_browser_version());
	eventoBotaoClick(".botao");
	$('body').css('width', $(window).width());

	abrirBanco(function(banco) {
		persistenceBanco.query('confSinc').filter().execute().done(function(a) {
			a = a[0];
			if (a != undefined) {
				persistenceBanco.query("vendedor").filter('idVendedor', a.vendedor).execute().done(function(resultsUm) {
					persistenceBanco.query("empresa").filter('idEmpresa', a.empresa).execute().done(function(resultsDois) {
						if (resultsUm.length > 0 && resultsDois.length > 0) {
							retorno = gerarFooterInicial(resultsDois[0].razao, resultsUm[0].nome);
						} else {
							retorno = gerarFooterInicial('Indefinido', 'Indefinido');
							if (sessionStorage.getItem("entrou") == null) {
								sessionStorage.setItem("entrou", 'entrou');
								window.location.replace('view/sincronizacoes/sincronizacao.html');
							}
						}

						document.getElementById("footer").innerHTML = retorno;

						if (jQuery('#razaoNome').text().length > 40) {
							jQuery('#razaoNome').fitText(4, {
								minFontSize: '11px',
								maxFontSize: '40px'
							});
							jQuery('#nomeNome').fitText(4, {
								minFontSize: '11px',
								maxFontSize: '40px'
							});
						}

					});
				});
			} else {
				gerarFooterInicial('Indefinido', 'Indefinido');

				retorno = document.getElementById("footer").innerHTML = retorno;

				if (jQuery('#razaoNome').text().length > 40) {
					jQuery('#razaoNome').fitText(4, {
						minFontSize: '11px',
						maxFontSize: '40px'
					});
					jQuery('#nomeNome').fitText(4, {
						minFontSize: '11px',
						maxFontSize: '40px'
					});
				}
				if (sessionStorage.getItem("entrou") == null) {
					window.location.replace('view/sincronizacoes/sincronizacao.html');
					sessionStorage.setItem("entrou", 'entrou');
				}
			}
		});

	});

	function gerarFooterInicial(razao, nome) {

		retorno = '<div class="row" style="margin-right: -20px;">';

		retorno += '<div id="footerEmpresa" class="col-xs-2 col-sm-2" >';
		retorno += '<img alt="Empresa" class="img-responsive" style="max-height: 28px; float:right; " id="iconEmpresa" src="img/android/ico_empresa.png">';
		retorno += '</div>';

		retorno += '<div class="col-xs-10 col-sm-10" style="color: white; ">';
		retorno += '<div id="razaoNome" style="float: left;margin-top: 6px;margin-left: 2px;">';
		retorno += razao;
		retorno += '</div>';
		retorno += '</div>';

		retorno += '</div>';

		retorno += '<div class="row" style="margin-top: 2px;" >';

		retorno += '<div id="footerVendedor" class="col-xs-2 col-sm-2" >';
		retorno += '<img alt="Vendedor" class="img-responsive" style="max-height: 28px; float:right;" id="iconVendedor" src="img/android/ico_vendedor.png">';
		retorno += '</div>';

		retorno += '<div class="col-xs-10 col-sm-10" style="color: white;">';
		retorno += '<div id="nomeNome" style="float: left;margin-top: 6px; margin-left: 2px;">';
		retorno += nome;
		retorno += '</div>';
		retorno += '</div>';

		retorno += '</div>';

		return retorno;
	}


	$('#botaoSincronizar').on('click', function(e) {
		e.preventDefault();
		var ads = {
			'teste': {
				type: 'iframe',
				src: 'view/popup/progresso.html'
			}
		};
		jQuery('body').adPopupPro({
			ads: ads,
			show_type: 'always',
			show_chance: 1,
			show_close_button: false,
			mobile: true,
			tablets: true,
			min_screen_size: '0x0',
			internet_explorer: 'normal',
			os: '',
			cookie_id: '2',
			popup_color: 'light',
			popup_shadow: true,
			overlay_opacity: 0.5,
			overlay_color: 'dark',
			overlay_close: false,
			escape_close: false,
			auto_close_after: false
		});

		setTimeout(function() {
			abrirBanco(function(persistenceBanco) {
				jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '20%');
				persistenceBanco.query("confSinc").all().execute().done(function(results) {
					var ip = results[0].ip;
					var banco = results[0].banco;
					var empresa = results[0].empresa;
					var vendedor = results[0].vendedor;

					var inserirClientes = new ExeInsereClientes(ip, banco, function() {
						jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '17%');
						var inserirPedidos = new ExeInserePedidos(ip, banco, empresa, vendedor, function() {
							var clientes = new SincClientes(ip, banco, empresa, vendedor, function() {
								jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '33%');
								var formaPagamentoClientes = new SincFormaPagamentoCliente(ip, banco, empresa, vendedor, function() {
									jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '50%');
									var produtos = new SincProdutos(ip, banco, empresa, function() {
										jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '67%');
										var formaPagamento = new SincFormaPagamento(ip, banco, function() {
											jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '84%');
											var listaPreco = new SincListaPreco(ip, banco, function() {
												var listaPrecoProduto = new SincListaPrecoProduto(ip, banco, empresa, function() {
													jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '90%');
													var titulo = new SincTitulos(ip, banco, empresa, vendedor, function() {
														jQuery('#iframePopUp').contents().find('#barProgresso').css('width', '100%');

														setTimeout(function() {
															jQuery('.adpopup').remove();
															jQuery('.adpopup-overlay').remove();
														}, 1000);

													});
												});
											});
										});
									});
								});
							});
						});
					});
				});
			});
		}, 1000);
	});

	var version = navigator.appVersion;
	console.log(version);

	$('#sairApp').on('click', function() {
		fecharApp();
	});

	var a = $(".container .row #botaoInicialDistancia");
	var tamanho = a.length;

	for (var i = 0; i < tamanho; i++) {
		$(a[i]).fitText(0.5, {
			minFontSize: '11px',
			maxFontSize: '40px'
		});
	}

	$(".Menu").hide(0);
	$(".opcaoMenu").click(function(e) {
		e.preventDefault();

		// $('.Menu').toggle('slow');

		var menu = $(".Menu");
		var he = $("#header");

		// $(".Menu").toggleClass("menuAberto");
		// $(".opcaoMenu").toggleClass("menuAberto");

	});

}

function changeFooterPosition() {
	$('#footer').css('top', window.innerHeight + window.scrollY - 50 + "px");
}

function get_browser() {
	var N = navigator.appName,
		ua = navigator.userAgent,
		tem;
	var M = ua.match(/(opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i);
	if (M && (tem = ua.match(/version\/([\.\d]+)/i)) != null)
		M[2] = tem[1];
	M = M ? [M[1], M[2]] : [N, navigator.appVersion, '-?'];
	return M[0];
}

function get_browser_version() {
	var N = navigator.appName,
		ua = navigator.userAgent,
		tem;
	var M = ua.match(/(opera|chrome|safari|firefox|msie)\/?\s*(\.?\d+(\.\d+)*)/i);
	if (M && (tem = ua.match(/version\/([\.\d]+)/i)) != null)
		M[2] = tem[1];
	M = M ? [M[1], M[2]] : [N, navigator.appVersion, '-?'];
	return M[1];
}

function bakcbotaoIndex() {
	fecharApp();
}

function fecharApp() {
	jQuery('body,html').scrollTop(0);
	if (confirm('Deseja realmente finalizar?')) {
		/*if (navigator.app) {
		 navigator.app.exitApp();
		 } else if (navigator.device) {
		 navigator.device.exitApp();
		 }*/
		window.close();
	}
}

function callFechar(button) {
	if (button == 2) {

	}
}